Bug 150817 - Web Inspector: Search Results tab causes jump to Resources tab on reload
Summary: Web Inspector: Search Results tab causes jump to Resources tab on reload
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Local Build
Hardware: All All
: P2 Normal
Assignee: Timothy Hatcher
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2015-11-02 14:30 PST by Timothy Hatcher
Modified: 2015-11-06 11:19 PST (History)
8 users (show)

See Also:


Attachments
Patch (3.91 KB, patch)
2015-11-05 16:22 PST, Timothy Hatcher
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Hatcher 2015-11-02 14:30:33 PST
Steps:
1) Load any page
2) Do a search in the global search field to make a Search Results tab (a result needs found)
3) Go to the Console tab
4) Reload the page

The Resources tab will be switched to. It should not switch tabs and cookie restoring for the Search Results tab should not be done until it is active.

Views/ContentBrowserTabContentView.js:193:22: CONSOLE TRACE showRepresentedObject {"lineNumber":1248,"columnNumber":16}
0: showRepresentedObject(Views/ContentBrowserTabContentView.js:193:22)
1: showRepresentedObject(Base/Main.js:993:41)
2: showSourceCode(Base/Main.js:1033:31)
3: showOriginalOrFormattedSourceCodeTextRange(Base/Main.js:1054:24)
4: _treeElementSelected(Views/SearchSidebarPanel.js:384:68)
5: _treeElementSelected([native code])
6: select(Views/TreeOutline.js:1014:33)
7: revealAndSelect(Views/TreeOutline.js:1022:20)
8: (unknown)(Views/SearchSidebarPanel.js:154:61)
9: (unknown)([native code])
10: forEachMatch(Views/SearchSidebarPanel.js:120:25)
11: resourceCallback(Views/SearchSidebarPanel.js:149:33)
12: resourceCallback([native code])
13: _dispatchResponseToCallback(Protocol/InspectorBackend.js:233:27)
14: _dispatchResponse(Protocol/InspectorBackend.js:203:45)
15: dispatch(Protocol/InspectorBackend.js:87:35)
16: dispatchNextQueuedMessageFromBackend(Protocol/MessageDispatcher.js:42:34)
Comment 1 Radar WebKit Bug Importer 2015-11-02 14:30:53 PST
<rdar://problem/23362429>
Comment 2 Timothy Hatcher 2015-11-02 14:31:32 PST
It should also not jump to the Resources tab, it should use the ContentBrowser of the Search Results tab.
Comment 3 Timothy Hatcher 2015-11-05 16:22:19 PST
Created attachment 264898 [details]
Patch
Comment 4 BJ Burg 2015-11-06 10:31:26 PST
Comment on attachment 264898 [details]
Patch

r=me
Comment 5 WebKit Commit Bot 2015-11-06 11:19:27 PST
Comment on attachment 264898 [details]
Patch

Clearing flags on attachment: 264898

Committed r192110: <http://trac.webkit.org/changeset/192110>
Comment 6 WebKit Commit Bot 2015-11-06 11:19:30 PST
All reviewed patches have been landed.  Closing bug.